.\"	$NetBSD: mount_ptyfs.8,v 1.7 2009/03/15 16:47:45 christos Exp $
.\"
.\"
.\" Copyright (c) 2004 The NetBSD Foundation, Inc.
.\" All rights reserved.
.\"
.\" This code is derived from software contributed to The NetBSD Foundation
.\" by Christos Zoulas.
.\"
.\" Redistribution and use in source and binary forms, with or without
.\" modification, are permitted provided that the following conditions
.\" are met:
.\" 1. Redistributions of source code must retain the above copyright
.\"    notice, this list of conditions and the following disclaimer.
.\" 2. Redistributions in binary form must reproduce the above copyright
.\"    notice, this list of conditions and the following disclaimer in the
.\"    documentation and/or other materials provided with the distribution.
.\"
.\" THIS SOFTWARE IS PROVIDED BY THE NETBSD FOUNDATION, INC. AND CONTRIBUTORS
.\" ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED
.\" TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR
.\" PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL THE FOUNDATION OR CONTRIBUTORS
.\" BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
.\" CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
.\" SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
.\" INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
.\" CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
.\" ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
.\" POSSIBILITY OF SUCH DAMAGE.
.\"
.Dd March 15, 2009
.Dt MOUNT_PTYFS 8
.Os
.Sh NAME
.Nm mount_ptyfs
.Nd mount the /dev/pts file system
.Sh SYNOPSIS
.Nm
.Op Fl c
.Op Fl g Ar group|gid
.Op Fl m Ar mode
.Op Fl o Ar options
.Ar ptyfs
.Ar mount_point
.Sh DESCRIPTION
The
.Nm
command attaches an instance of the pseudo-terminal device filesystem
to the global filesystem namespace.
The conventional mount point is
.Pa /dev/pts .
The directory specified by
.Ar mount_point
is converted to an absolute path before use.
This command is normally executed by
.Xr mount 8
at boot time.
.Pp
The filesystem contains pseudo-terminal slave device nodes which are
allocated dynamically via
.Xr ptm 4 ,
or they are already open via traditional BSD style ptys.
.Pp
The options are as follows:
.Bl -tag -width indent
.It Fl c
Allows
.Ar ptyfs
to be mounted inside a chrooted environment.
.It Fl g Ar group|gid
Specify the group ownership of the slave pseudo-tty.
.It Fl m Ar mode
Specify the default
.Ar mode
of the slave pseudo-tty.
.It Fl o
Options are specified with a
.Fl o
flag followed by a comma separated string of options.
.Pp
.Nm
specific options are
.Dv chroot
which corresponds to
.Fl c ,
.Dv group
which corresponds to
.Fl g ,
and
.Dv mode
which corresponds to
.Fl m .
See the
.Xr mount 8
man page for possible options and their meanings.
.El
.Sh FILES
.Bl -tag -width n -compact
.It Pa n
The nth pseudo-terminal device in use.
.El
.Sh SEE ALSO
.Xr mount 2 ,
.Xr unmount 2 ,
.Xr ptm 4 ,
.Xr fstab 5 ,
.Xr mount 8
.Sh HISTORY
The
.Nm
utility first appeared in
.Nx 3.0 .
.Sh BUGS
This filesystem may not be NFS-exported.
This filesystem is experimental.
